Skip to main content
GET
/
beneficiaries
List beneficiaries
curl --request GET \
  --url https://api.zeam.app/v1/beneficiaries \
  --header 'Authorization: Bearer <token>' \
  --header 'x-zeam-auth: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reference": "<string>",
      "displayName": "<string>"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token issued by POST /v1/auth/token.

x-zeam-auth
string
header
required

Application secret (Kong apiKey) issued at registration.

Query Parameters

limit
integer
default:20

Maximum items per page.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from a previous response.

Response

A page of beneficiaries.

data
object[]
required
pagination
object
required